Foros del Web » Programando para Internet » PHP »

PHP4 y PHP5 compatibilidad

Estas en el tema de PHP4 y PHP5 compatibilidad en el foro de PHP en Foros del Web. hola a todos: Vereis, tengo un problema relativo a las versiones de PHP. Tengo un server dedicado contratado en su día a Rackshack (luego Orbit, ...
  #1 (permalink)  
Antiguo 19/08/2011, 10:37
 
Fecha de Ingreso: agosto-2011
Mensajes: 2
Antigüedad: 12 años, 10 meses
Puntos: 0
PHP4 y PHP5 compatibilidad

hola a todos:


Vereis, tengo un problema relativo a las versiones de PHP.
Tengo un server dedicado contratado en su día a Rackshack (luego Orbit, luego Theplanet y ahora Softlayer).

Tiene una versión de Linux Red Hat 7.3, PHP4 y Mysql. Todo funciona bien, pero ahora he querido instalar ELGG para crear una red social, y necesita como mínimo PHP5.

Me he planteado dos posibilidades, una sería tratar de instalar PHP5, siempre que pueda coexistir con PHP4, pero es un riesgo que no quiero correr, por que la web alojada es de empresa, tipo tienda virtual y si se parase sería un serio problema.

Otra opción, es contratar un nuevo server, con lo que además tendría un Linux más actualizado (probablemente Centos), PHP5 y MySQL5.

El problema es que no se si la web que tengo actualmente con PHP4, funcionará bien con PHP5, o empezarán a salir errores por todos los lados.

¿ cual creeis que sería la opción más acertada ?
¿ que problemas de compatibilidad hay entre PHP4 y PHP5 ?



Salu2
  #2 (permalink)  
Antiguo 19/08/2011, 11:01
Avatar de andresdzphp
Colaborador
 
Fecha de Ingreso: julio-2011
Ubicación: $this->Colombia;
Mensajes: 2.749
Antigüedad: 13 años
Puntos: 793
Respuesta: PHP4 y PHP5 compatibilidad

Tal vez te sirva la información del manual:

Migración desde PHP 4 a PHP 5.0.x
Cambios Incompatibles entre versiones
Funciones nuevas
__________________
Si sabemos como leer e interpretar el manual será mucho más fácil aprender PHP. En lugar de confiar en ejemplos o copiar y pegar - PHP
  #3 (permalink)  
Antiguo 19/08/2011, 11:01
Avatar de pateketrueke
Modernizr
 
Fecha de Ingreso: abril-2008
Ubicación: Mexihco-Tenochtitlan
Mensajes: 26.399
Antigüedad: 16 años, 3 meses
Puntos: 2534
Respuesta: PHP4 y PHP5 compatibilidad

Te invito a leer el manual de PHP, ahí se explican los detalles de compatibilidad y formas de migrar correctamente entre ambas versiones.

No escatimes la información del manual, por favor:
http://php.net/manual/en/migration5.php
__________________
Y U NO RTFM? щ(ºдºщ)

No atiendo por MP nada que no sea personal.
  #4 (permalink)  
Antiguo 20/08/2011, 15:24
 
Fecha de Ingreso: agosto-2011
Mensajes: 2
Antigüedad: 12 años, 10 meses
Puntos: 0
Respuesta: PHP4 y PHP5 compatibilidad

Ok, gracias, le echaré un vistazo.

Etiquetas: compatibilidad, mysql, php4, php5
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta

SíEste tema le ha gustado a 1 personas




La zona horaria es GMT -6. Ahora son las 13:27.